// +H450 +W1100


global_settings{ assumed_gamma 1.6 }

#declare Slop = slope_map {
	[0.0  <0, 1>]
	[0.2  <1, 1>]
	[0.2  <1,-1>]
	[0.4  <0,-1>]
	[0.4  <0, 0>]
	[0.5  <0, 0>]
	[0.5  <1, 0>]
	[0.6  <1, 0>]
	[0.6  <0, 0>]
	[0.7  <0, 0>]
	[0.7  <0, 3>]
	[0.8  <1, 0>]
	[0.9  <0,-3>]
	[0.9  <0, 0>]
}

camera{
	location < 0, 2.25, -2.5>
	look_at  < 0, 1.95, 0>
    angle 50*1.25
	right x*image_width/image_height
}

/*
light_source {
	<10, 20, -20>
	color rgb <0.91,0.891,0.961>
	spotlight
	point_at <0, 0, 0>
	radius 2.5
	tightness 25
	falloff 8
//	media_attenuation on
}
*/


background { color rgb <0.4, 0.6, 0.98> }

#declare obj = union {
	sphere {<0,0,0> 0.5
		scale <1,1,0.4>
	}
	cylinder{ <0, -0.5, 0>, <0, 0.5, 0>, 0.24 }
	cylinder{ <0, -2.75, 0>, <0, 2.75, 0>, 0.0624
		pigment {color rgb <0.84,0.83,0.82>}
		finish {reflection 0.4}
	}
	scale<9.6,1.4,9.6>
}

#declare V=0;
#declare tra= (9.6*1.5)/3;
#declare sca=<0.5,0.5,0.5>;
#declare ang = 60;

#while(V<=3)
	#declare obj= union{
		object{
			obj
			pigment {color rgb <0.5,0.5,0.5>*V}
			finish {reflection 0.52}
			translate y*tra
			scale sca
		}
		object{
			obj
			pigment {color rgb <1.0,1.0,1.0>*V}
			finish {reflection 0.52}
			translate y*tra
			rotate z*ang
			scale sca
		}
		object{
			obj
			pigment {color rgb <0.0,0.0,0.0>*V}
			finish {reflection 0.52}
			translate y*tra
			rotate z*-ang
			scale sca
		}
		object{
			obj
			pigment {color rgb <0.5,0.5,0.5>*V}
			finish {reflection 0.52}
			translate y*-tra
			scale sca
		}
		object{
			obj
			pigment {color rgb <0.5,0.5,0.5>*V}
			finish {reflection 0.52}
			translate y*-tra
			rotate z*-ang
			scale sca
		}
		object{
			obj
			pigment {color rgb <0.5,0.5,0.5>*V}
			finish {reflection 0.52}
			translate y*-tra
			rotate z*ang
			scale sca
		}
		sphere {
			0, 1.5
			pigment { color rgb <1,0,0>	transmit 1 filter 0.4	}
			hollow
			interior {ior 1.75}
			interior{
				media{
					emission 1
					density{
						spherical density_map{
							[0 rgb 0]
							[0.4 rgb <1,0,0>]
							[0.8 rgb <1,1,0>]
							[1 rgb 1]
						}
					}
				}
			}
			translate <0,0,-2>
			finish {
				reflection { 0.0, 0.6 }
				phong 1.0
				phong_size 100
			}
			normal {
				wrinkles
				slope_map { Slop }
			}
			scale sca
		}
	}
	#local V=V+1;
#end


object{
	obj
	scale 0.325*2
	rotate x*90
	translate <0, 1.5,0>
	rotate <0,-30,0>
}



plane { y, 0
	pigment {color rgb <0.5,0.5,0.5>}
	finish {reflection 0.52}

}


#declare Use_Box = 0;
#declare UseSphere = 1;
#declare RadSphere = 2500;
#declare SpherePigment = texture {
	pigment {
		rgbft <0.5,0.9,0.0,1,1>
	}
	finish {
		ambient 0.25
		diffuse 0.37
		reflection 0.5
	}
}

#declare Sphere_Ior = 1.9361;
#declare BoxPigment = texture {}
#declare SkyPigment = pigment {
	image_map {
		jpeg "blur_yo.jpg"
	}
}

#declare Use_Sky = 1;
#include "sky_interior_v2.inc"
